View Issue Details

IDProjectCategoryView StatusLast Update
0002683gnunet-gtkgnunet-setuppublic2013-12-24 20:54
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.10.0Fixed in Version0.10.0 
Summary0002683: gnunet-setup allows creation of NS, PKEY and/or CNAME records and other records for the same name
DescriptionIf a name has already one NS/PKEY or CNAME records, no other records should be created for the same name. So our GUI should:
1) disable adding any other records once a NS/PKEY/CNAME record exists
   (i.e. by listing the value top-level in the same line as the name; this way,
    we don't even have the 'add type' option anymore)
2) disable adding NS/PKEY/CNAME records as soon as any other record exists
   (this is more complicated, as we need to associate a different model
    with the tree view for those items)
3) We should document this somewhere.
TagsNo tags attached.

Activities

Christian Grothoff

2013-07-10 18:11

manager   ~0007225

Implemented in SVN 27894.

Issue History

Date Modified Username Field Change
2012-12-04 20:16 Christian Grothoff New Issue
2012-12-08 21:21 Christian Grothoff Assigned To => Christian Grothoff
2012-12-08 21:21 Christian Grothoff Status new => assigned
2012-12-08 23:00 Christian Grothoff Priority normal => low
2012-12-18 13:28 Christian Grothoff Priority low => normal
2013-03-24 12:31 Christian Grothoff Severity tweak => feature
2013-07-10 17:55 Christian Grothoff Target Version => 0.10.0
2013-07-10 18:11 Christian Grothoff Note Added: 0007225
2013-07-10 18:11 Christian Grothoff Status assigned => resolved
2013-07-10 18:11 Christian Grothoff Fixed in Version => 0.10.0
2013-07-10 18:11 Christian Grothoff Resolution open => fixed
2013-12-24 20:54 Christian Grothoff Status resolved => closed